#!/bin/bash

set -e

echo "building docker image"

export DOCKER_BUILDKIT=1

tag="$REGISTRY/$SERVICE:${COMMIT_SHA:0:10}"
latest_tag="$REGISTRY/$SERVICE:latest"

docker build -t "$tag" --cache-from "$latest_tag" -f $TMP/build_docker.Dockerfile .
docker tag "$tag" "$latest_tag"
docker push "$tag" "$latest_tag"
